import request from "../utils/request";
const getwindpowerVal=()=>{
    return request({
        baseURL: process.env.VUE_APP_API,
        url:`/windpowerw/getwindpowerVal.action`,
        method:"get"
    })
}
const getwindpowerLine=()=>{
    return request({
        baseURL: process.env.VUE_APP_API,
        url:`/windpowerw/getwindpowerLine.action`,
        method:"get"
    })
}
const getStation=()=>{
    return request({
        baseURL: process.env.VUE_APP_APIs,
        url:`/ghost/wplist`,
        method:"get"
    })
}
const getGroupList=(data)=>{
    return request({
        baseURL: process.env.VUE_APP_APIs,
        url:`/ghost/wtlist?wpid=${data.wpid}`,
        method:"get"
    })
}

const getTableData=(data)=>{
    return request({
        baseURL: process.env.VUE_APP_APIs,
        url:`/ghost/function?wpid=${data.wpid}&beginDate=${data.beginDate}&endDate=${data.endDate}`,
        method:"get"
    })
}
const getNature=(data)=>{
    return request({
        baseURL: process.env.VUE_APP_APIs,
        url:`/ghost/nature?wpid=${data.wpid}&beginDate=${data.beginDate}&endDate=${data.endDate}`,
        method:"get"
    })
}
const getShutdownevent=(data)=>{
    return request({
        baseURL: process.env.VUE_APP_APIs,
        url:`ghost/shutdownevent?wpid=${data.wpid}&beginDate=${data.beginDate}&endDate=${data.endDate}&type=${data.type}`,
        method:"get"
    })
}
const natureReal=(data)=>{
    return request({
        baseURL: process.env.VUE_APP_APIs,
        url:`/ghost/natureReal?wpid=${data.wpid}`,
        method:"get"
    })
}
const freedomList=(data)=>{
    return request({
        baseURL: process.env.VUE_APP_APIs,
        url:`ghost/freedomList?wtid=${data.wtid}&beginDate=${data.beginDate}&endDate=${data.endDate}&uniformcodes=${data.uniformcodes}&interval=${data.interval}`,
        method:"get"
    })
}
const wtls=(data)=>{
    return request({
        baseURL: process.env.VUE_APP_APIs,
        url:`/ghost/wtls`,
        method:"get"
    })
}
const points=(data)=>{
    return request({
        baseURL: process.env.VUE_APP_APIs,
        url:`/ghost/points`,
        method:"get"
    })
}
const faultrecord=(data)=>{
    return request({
        baseURL: process.env.VUE_APP_APIs,
        url:`ghost/faultrecord?wpid=${data.wpid}&wtid=${data.wtid}&begin=${data.begin}&end=${data.end}&faulttype=${data.faulttype}&type=${data.type}`,
        method:"get"
    })
}
const faultrecordAdd=(pairs)=>{
    return request({
        baseURL: process.env.VUE_APP_APIs,
        url:`ghost/faultrecord`,
        method:"post",
        data:pairs
    })
}
const faultrecordEdit=(pairs)=>{
    return request({
        baseURL: process.env.VUE_APP_APIs,
        url:`ghost/faultrecord`,
        method:"put",
        data:pairs
    })
}
const faultrecordDel=(data)=>{
    return request({
        baseURL: process.env.VUE_APP_APIs,
        url:`ghost/faultrecord/${data.id}`,
        method:"delete"
    })
}

const mainrecord=(data)=>{
    return request({
        baseURL: process.env.VUE_APP_APIs,
        url:`ghost/mainrecord?wpid=${data.wpid}&wtid=${data.wtid}&begin=${data.begin}&end=${data.end}&type=${data.type}`,
        method:"get"
    })
}
const mainrecordAdd=(pairs)=>{
    return request({
        baseURL: process.env.VUE_APP_APIs,
        url:`ghost/mainrecord`,
        method:"post",
        data:pairs
    })
}
const mainrecordEdit=(pairs)=>{
    return request({
        baseURL: process.env.VUE_APP_APIs,
        url:`ghost/mainrecord`,
        method:"put",
        data:pairs
    })
}
const mainrecordDel=(data)=>{
    return request({
        baseURL: process.env.VUE_APP_APIs,
        url:`ghost/mainrecord/${data.id}`,
        method:"delete"
    })
}


const getLines = (data)=>{
    return request({
        baseURL: process.env.VUE_APP_APIs,
        url:`ghost/getLines?wpid=${data.wpid}`,
        method:"get"
    })
}
const getslStatus = (data)=>{
    return request({
        baseURL: process.env.VUE_APP_APIs,
        url:`ghost/getslStatus`,
        method:"get"
    })
}

const involved = (data)=>{
    return request({
        baseURL: process.env.VUE_APP_APIs,
        url:`ghost/involved?wpid=${data.wpid}&begin=${data.begin}&end=${data.end}&type=${data.type}`,
        method:"get"
    })
}
const involvedAdd=(pairs)=>{
    return request({
        baseURL: process.env.VUE_APP_APIs,
        url:`ghost/involved`,
        method:"post",
        data:pairs
    })
}
const involvedEdit=(pairs)=>{
    return request({
        baseURL: process.env.VUE_APP_APIs,
        url:`ghost/involved`,
        method:"put",
        data:pairs
    })
}
const involvedDel=(data)=>{
    return request({
        baseURL: process.env.VUE_APP_APIs,
        url:`ghost/involved/${data.id}`,
        method:"delete"
    })
}
const windpowerinfoddy = (data)=>{
    return request({
        baseURL: process.env.VUE_APP_APIs,
        url:`ghost/windpowerinfoddy?date=${data.date}`,
        method:"get"
    })
}
const windpowerinfoddyEdit=(pairs)=>{
    return request({
        baseURL: process.env.VUE_APP_APIs,
        url:`ghost/windpowerinfoddy`,
        method:"put",
        data:pairs
    })
}
const getProlist=()=>{
    return request({
        baseURL: process.env.VUE_APP_APIs,
        url:`/ghost/prolist`,
        method:"get"
    })
}
export default {
    getwindpowerVal,
    getwindpowerLine,
    getStation,
    getTableData,
    getNature,
    getShutdownevent,
    natureReal,
    freedomList,
    wtls,
    points,
    faultrecord,
    faultrecordAdd,
    faultrecordEdit,
    faultrecordDel,
    mainrecord,
    mainrecordAdd,
    mainrecordEdit,
    mainrecordDel,
    getGroupList,
    getLines,
    getslStatus,
    involved,
    involvedAdd,
    involvedEdit,
    involvedDel,
    getProlist,
    windpowerinfoddy,
    windpowerinfoddyEdit,
};